﻿@using SSCMvc.Webutil;
@using SSCMvc.Models;
@model IEnumerable<SSCMvc.Models.MaEnquiry>
@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
    CommonUtil util = new CommonUtil();
}
@section scripts{

    @*<script src="~/Scripts/ChildAddEdit.js"></script>*@
    <script src="~/Content/datatable/jquery.dataTables.min.js"></script>
    <link href="~/Content/datatable/jquery.dataTables.css" rel="stylesheet" />

    <script type="text/javascript">
        function AddCopy(a) {
            if (confirm("Are you sure to copy this enquiry?")) {
                window.open("/MaEnquiry/CopyEnq/" + a, 'newwindow');
            }
        }

        $(document).ready(function () {
            var lastIdx = null;
            var table = $('#example').DataTable({
                "order": [[1, "desc"]],
                "pageLength": 100
            });


            $('#example tbody')
                .on('mouseover', 'td', function () {
                    var colIdx = table.cell(this).index().column;

                    if (colIdx !== lastIdx) {
                        $(table.cells().nodes()).removeClass('highlight');
                        $(table.column(colIdx).nodes()).addClass('highlight');
                    }
                })
                .on('mouseleave', function () {
                    $(table.cells().nodes()).removeClass('highlight');
                });
        });
    </script>

    <script src="~/Scripts/HighestQuali.js"></script>

    <style type="text/css">
        div.box div.overlay { display: none; }

        span:hover { color: orangered !important; font-weight: 700; }

        span { color: #369ECE !important; }
    </style>
    <script type="text/javascript">
        $(function () {
            $(".box").hover(function () {
                $(this).find(".overlay").fadeIn();
            }
                            , function () {
                                $(this).find(".overlay").fadeOut();
                            }
                           );
        });
    </script>



    <script type="text/javascript">
        $(document).ready(function () {

            $("#totalcount").text($("#hiddencount").val());
            $("#enqstatus").val($("#hiddenenqst").val());

            $("#UserList").val($("#hdnuser").val());
            $("#CampusList").css('width', '150px');
            $("#CourseGroup").css('width', '150px');

            $("#dateofwnquiry").datepicker();
            $("#tdate").datepicker();
            //            $("button").hide();
            $("#UserList").css('width', '150px');
            $("#enqstatus").css('width', '112px');


            $("#enqstatus").css('width', '80px');
            $("#enquiryabt").css('width', '150px');


            $("#enquiryabt").val($("#hiddenqabut").val());

            $("#enqstatus").val($("#hiddenenqst").val());

            $(":text").keypress(function (event) {
                //filter enter key only
                if (event.keyCode == 13) {
                    searchfun();
                }
                return true;
            });



        });

    </script>
    <script>
        deleterecord("MaEnquiry");

        $("#Searchbtn").click(function () {
            searchfun();

        });

        function searchfun() {
            var name = $("#txtname").val();

            if (name == "undefined") {

                name = "";
            }

            var mobile = $("#txtmobile").val();
            if (mobile == "undefined") {

                mobile = "";
            }
            var father = $("#txtfname").val();
            if (father == "undefined") {

                father = "";
            }
            var date = $("#dateofwnquiry").val();

            if (date == "undefined") {

                date = "";
            }
            var todate = $("#tdate").val();
            if (todate == "undefined") {

                todate = "";
            }
            var usr = $("#UserList").val();


            if (usr == "undefined") {

                usr = "";
            }

            var enqstatus = $("#enqstatus").val();
            if (enqstatus == "undefined") {

                enqstatus = "";
            }
            var enquiryabout = $("#CourseGroup").val();

            if (enquiryabout == "undefined") {

                enquiryabout = "";
            }
            var enqno = $("#txtenqName").val();
            if (enqno == "undefined") {
                enqno = "";
            }

            var campus = $("#CampusList").val();

            if (campus == "undefined") {
                campus = 0;
            }

            //  window.location.href = "/MaEnquiry/Searchforenquiry?name=" + name + "&&enqno=" + enqno + "&&mobile=" + mobile + "&&date=" + date + "&&tdate=" + todate + "&&usr=" + usr + "&&enqstatus=" + enqstatus + "&&enquiryabout=" + enquiryabout;


            window.location.href = "/MaEnquiry/Searchforenquiry?name=" + name + "&enqno=" + enqno + "&mobile=" + mobile + "&father=" + father + "&usr=" + usr + "&camp=" + campus + "&enqstatus=" + enqstatus + "&enquiryabout=" + enquiryabout;
        }
    </script>
    <script type="text/javascript">

        var request;
        function LoadData() {


            // Abort any currently executing request
            if (request) {
                request.abort();
            }

            $('#lazyloading').html('<img id="imgload" src="../../Content/themes/base/images/load.gif" />');



            var rows = $(".table").find('input[type=hidden]').last().val();


            var lastno = $(".table").find('input[type=hidden]').last().attr('class');





            var serviceurl = "/MaEnquiry/LoadData";

            request = $.get(serviceurl, { id: rows }, function (data) {


                if (data != '') {

                    $(".table").children("tbody:last").append(data);


                }

                $('#lazyloading').empty();






            });


        };
        var scrollonce = false;

    </script>
    <script type="text/javascript">
        $("#pagng").css('width', '80px');
        $("#txtpageno").css('width', '100px');
        $(function () {
            $(".table").tablesorter({ widthFixed: true })
               .tablesorterPager({ container: $("#pager"), size: $(".pagesize option:selected").val() });
        });
    </script>
}
@{
    SSCMvc.Models.SSCWebDBEntities1 db = new SSCMvc.Models.SSCWebDBEntities1();
}
<div class="header">
    <div class="stats">
    </div>
    <h1 class="page-title">
        Enquiry List
    </h1>
</div>
<ul class="breadcrumb">
    @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;

            string refadd = CommonUtil.HomeAddress(utype);


    }
    <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
    <li class="active">Dashboard</li>
</ul>
<div style="margin-top: 40px" align="center">
    <table style="width: 850px; text-align: center">
        <tr>
            <td style="vertical-align: middle">
                <b>Enq No.</b>
            </td>
            <td style="vertical-align: middle">
                <b>Name</b>
            </td>
            <td style="width: 120px">
                <b> Father's/ Husband's Name</b>
            </td>
            <td style="vertical-align: middle">
                <b>Mobile</b>
            </td>
            @if (StaticLogic.SubRole() == "Moderate" || StaticLogic.SubRole() == "Max")
            {

                <td>
                    <b>Enq Handled by</b>
                </td>
            }
            @if (StaticLogic.SubRole() == "Max")
            {

                <td style="max-width:150px;">
                    <b>Branch</b>
                </td>
                <td>
                    <b>  Enquiry Status</b>
                </td>

                <td width="150">
                    <b>Enquiry About</b>
                </td>
            }
            <td align="left"></td>
        </tr>
        <tr>
            <td>
                <input type="text" style="width: 70px" id="txtenqName" value="@ViewBag.EnqNo" />
            </td>
            <td>
                <input type="text" style="width: 120px" id="txtname" value="@ViewBag.name" />
            </td>

            <td>
                <input type="text" style="width: 120px" id="txtfname" value="@ViewBag.fname" />
            </td>
            <td>
                <input type="text" style="width: 120px" id="txtmobile" value="@ViewBag.mobile" />
            </td>
           
            @if (StaticLogic.SubRole() == "Moderate" || StaticLogic.SubRole() == "Max")
            {
                <td align="left">
                    @Html.DropDownList("UserList", "All")
                    <input id="hdnuser" type="hidden" value="@ViewBag.usr" />
                </td>
            }
            @if (StaticLogic.SubRole() == "Max")
            {

                <td align="left">
                    @Html.DropDownList("CampusList", "All")
                    <input id="hdnuser" type="hidden" value="@ViewBag.campus" />
                </td>
                <td align="left">
                    <select id="enqstatus">
                        <option value="All">All</option>
                        <option value="Open">Open</option>
                        <option value="Close">Close</option>
                    </select>
                    <input type="hidden" value="@ViewBag.Enqst" id="hiddenenqst" />
                </td>
                <td align="left">

                    @Html.DropDownList("CourseGroup", "All")

                  
                    <input type="hidden" value="@ViewBag.enquabt" id="hiddenqabut" />
                </td>
            }
            <td style="vertical-align: top"></td>
        </tr>
        <tr>
            <td colspan="8">
                <table>
                    <tr>
                        <td style="vertical-align: top">
                            <input type="button" value="Search" id="Searchbtn" class="btn btn-primary" />
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
</div>
<div class="container-fluid">
    <div class="row-fluid">
        <div class="btn-toolbar">
            <div class="btn-group">
            </div>
        </div>
        <p class="datail_style">
            <table width="100%" align="center">
                <tr>
                    <td align="left" width="50%">
                        @Html.ActionLink("Create New", "Create")
                    </td>
                    <td align="right" width="50%">
                        Total: @ViewBag.TotalCount
                    </td>
                </tr>
            </table>
        </p>
        <div class="well" style="overflow-x:scroll;">
            <table class="table table-striped" id="example">
                <thead>
                    <tr>
                        <th>
                            Action
                        </th>
                        <th>
                            Enquiry No
                        </th>
                        <th>
                            Branch
                        </th>
                        <th>
                            Name
                        </th>
                        <th>
                            Demo Time
                        </th>

                        <th>
                            Enq. About
                        </th>
                        <th>
                            Visa Type
                        </th>
                        <th>
                            Type
                        </th>
                        <th>
                            Mobile
                        </th>
                        <th>
                            Enq. Date
                        </th>
                        <th>
                            Next Follow Up
                        </th>
                        <th>
                            Remarks
                        </th>
                        <th>
                            Enq. Status
                        </th>
                        <th>
                            Enq Handle By
                        </th>

                    </tr>
                </thead>
                <tbody>
                    @{int i = 0;
                        int count = 0;

                    }
                    @foreach (var item in Model)
                    {


                        i++;
                        count++;
                        <tr>
                            <td>
                                @Html.ImageActionLink("../../Content/themes/base/images/Edit.png", "Edit", "Edit", new { id = item.Id })|

                                @{
                                    int roleid = StaticLogic.RoleId();
                                    if (Permission.CheckPermission(roleid, CommonUtil.Enquiry, UserAction.Delete) == true)
                                    {
                                        @Html.ImageActionLink("../../Content/themes/base/images/Delete.png", "Delete", "Delete", "MaEnquiry", new { id = item.Id }, new { @class = "delete-link" }, null)
                                    }
                                }



                                @Html.ImageActionLink("../../Content/themes/base/images/Detail.png", "Detail", "Details", new { id = item.Id })

                                @Html.ImageActionLink("../../Content/themes/base/images/sicon3.png", "EnqFollow", "_Create", "MaEnqFollow", new { id = item.Id, reftype = "Enquiry", name = item.FirstName + " " + item.LastName, refno = item.Id }, new { @class = "editAcBtn" }, null)

                                @Html.ImageActionLink("../../Content/themes/base/images/add.png", "Add Highest Qualification", "CallHighest", new { id = item.Id })

                                @{

                                    if (item.IsAdmission == false)
                                    {
                                        @Html.ImageActionLink("../../Content/themes/base/images/Admission.png", "Move To Prosp. Students", "Create", "MaAdmission", new { id = item.Id }, null, null)
                                    }
                                    if (item.FEnqstatus == "Open")
                                    {
                                        <a href="/Tb_IELTSResult/Create/@item.Id" title="Go to Exam"><i class="icon-fast-forward icon-5x"></i></a>
                                    }

                                }@Html.ImageActionLink("../../Content/themes/base/images/history.png", "Demo History", "_Index1", "MaEnquiry", new { id = item.Id }, new { @class = "editAcBtn" }, null)
                                @{
                                    if (item.UFile != null && item.UFile != "NoImage.jpg")
                                    {
                                        <a href="~/Uploads/Enquiry/@item.UFile" download="UFile" title="Download Walkin Form"><i class="icon-download" style="font-size:25px"></i></a>
                                    }
                                    
                                }
                                @if (util.GetCopyId(item.Id) == 0)
                                {
                                    if (item.CopyFrom == null)
                                    {
                                    <a href="#" title="Copy Enquiry" onclick="AddCopy(@item.Id);"><img src="/images/copy.png" /></a>
                                    }
                                }



                            </td>

                            <td>
                                <input type="hidden" class="@i" value="@item.Id" />
                                @Html.DisplayFor(modelItem => item.Id)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.MaBranch.BramchName)
                            </td>
                            <td>
                                <span onmouseover="showdetail(@item.Id)" onmouseout="hidedetail();">
                                    @Html.DisplayFor(modelItem => item.FirstName)
                                    @Html.DisplayFor(modelItem => item.LastName)
                                </span>

                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.ClassDate)
                                @{
                                    string gtime = "";
                                    try
                                    {
                                        int gid = Convert.ToInt32(item.Grouptime);
                                        gtime = db.MaGroupTime_View.Where(w => w.Timeid == gid).Select(s => s.BatchTime).First();
                                    }
                                    catch (Exception) { }
                                }
                                @gtime
                            </td>

                            <td>

                                @Html.DisplayFor(modelItem => item.EnqAbt)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.VisaType)
                            </td>

                            <td>
                                @Html.DisplayFor(modelItem => item.EnqType)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.Mobile)
                                @Html.DisplayFor(modelItem => item.AlternateNo)
                            </td>
                            <td>
                                @{
                                    string cdate = string.Format("{0:dd MMM, yyyy}", item.WalkInDate);
                                }
                                @cdate
                            </td>
                            @{
                                string status = "";

                                if (db.MaEnqFollows.Where(z => z.ReferId == item.Id && z.FollowUpType == "Enquiry").OrderByDescending(z => z.Id).Select(z => z.NextDate).Count() > 0)
                                {
                                    <td>
                                      
                                        @{
                                            string nxtdate = "";
                                            try
                                            {
                                                nxtdate = string.Format("{0:dd MMM, yyyy}", item.FNextDate);
                                            }
                                            catch (Exception)
                                            {
                                            }
                                        }

                                        @nxtdate
                                    </td>
                                    <td width="100px" style="overflow: hidden">
                                        @{

                                                        string rem = item.FRemarks;

                                                        if (rem != null)
                                                        {
                                                            if (rem.Length > 20)
                                                            {
                                                                string sustrg = rem.Substring(0, 20);
                                                                @sustrg
                                                                <br />
            
                                                                <div class="box">
                                                        <a id="remarks" onclick="Hidediv();">Read-More...</a>
                                                        <div class="overlay" id="ovrly1">
                                                            @rem.Substring(20)
                                                        </div>
                                                    </div>
                                                }
                                                else
                                                {
                                                    @rem
                                            }
                                            }

                                        }
                                    </td>
                                    <td>

                                        @item.FEnqstatus
                                    </td>
                                    <td>
                                        @Html.DisplayFor(modelItem => item.User1.Fullname)
                                    </td>

                                            }
                                            else
                                            {
                                                <td></td>
                                                <td></td>
                                                <td></td>
                                                <td></td>

                                            }




                            }
                        </tr>

                                            }
                </tbody>
            </table>
            <!-- Lazy loading table starts here -->
            <table>
                <tr>
                    <td>
                        <div id="lazyloading" style="text-align: center; position: relative; margin-top: -30px;">
                        </div>
                    </td>
                </tr>
            </table>
            <!-- Lazy loading table ends here -->
            <input type="hidden" value="@count" id="hiddencount" />
        </div>

        <div id="delete-dialog" title="Confirmation">
            <p>
                Are You Sure you want to delete this
            </p>
        </div>
        @*<div id="editDialog" title="Add Enquiry Follow Up" style="width: 556px">
        </div>*@
    </div>
</div>
